/*
 * I2C Communications Example
 * Arduino Uno as master,
 * ATtiny45 & ATtiny44 Hello Boards as slaves
 * 
 * Select slave via serial monitor; slave
 * sends back 1 byte (count value) to master
 * 
 * Modified from:
 * https://thewanderingengineer.com/2014/02/17/attiny-i2c-slave/
 * 
 * Steven Chew
 * Date: 2021 Nov 28
 * Mitalee Parikh
 *
 */
// Code for the ATtiny44
#define I2C_SLAVE_ADDRESS 0x5 // Address of the slave
 
#include <TinyWireS.h>
#define ledPin 8   // led at PB2 (8) on t44 Hello board

int i=0;
 
void setup()
{
    TinyWireS.begin(I2C_SLAVE_ADDRESS); // join i2c network
    //TinyWireS.onReceive(receiveEvent); // not using this
    TinyWireS.onRequest(requestEvent);
 
    // Turn on LED when program starts
    pinMode(ledPin, OUTPUT);
    digitalWrite(ledPin, LOW);    // LOW to turn on LED
}
 
void loop()
{
    // This needs to be here
    TinyWireS_stop_check();
}
 
// Gets called when the ATtiny receives an i2c request
void requestEvent()
{
    TinyWireS.send(i);
    i++;
}
